<?php
require_once 'application/class/class_ManageSession.php';

global $connecteur;

// Si le menu de gauche de l'utilisateur n'est pas initialisé alors on l'initialise
if ((! array_key_exists('MENU_INIT', $_SESSION) || 1 != $_SESSION['MENU_INIT'] || false !== stripos($_SERVER['PHP_SELF'], 'session_srm.php')) && (! array_key_exists('REDIRECTION', $_SESSION) || ! $_SESSION['REDIRECTION'])) {
    // Flag indiquant que le menu de l'utilisateur est initialisé
    $_SESSION['MENU_INIT'] = 1;
    $_SESSION['OXASRM'] = 1;
    $_SESSION['OXAPROC'] = 0;
    
    require_once 'application/controllers/menu.php';
    $obj_xml = new GenXslt(true);
    
    if (isset($array_panier))
        $array_menu['panier'] = $array_panier;
    
    echo $obj_xml->XslHtml(Menu::fichier_xsl_menu, $array_menu);
    
    echo "<script type='text/javascript'> stopTimeOutPunchOut(); </script>";
}

$connecteur->disconnect();
exit();